<bugID>735568<Summary>Add return value to Migrate and check it during profile reset migration.</Summary><Description>Created attachment 605651
v.1 Add r.v. to Migrate and skip setting the default profile for reset on failure

If migration doesn't complete because of something like bug 735126 then we should be able to something about it rather than silently give people an empty profile.  For profile reset, the new profile shouldn't be set as the default since that would effectively be total data loss.

This patch just skips setting the new profile as the default if Migrate returns false but that means that the browser will continue starting up in an empty profile.  I think it would be better to do one of two of the following:
1) Show a dialog stating that reset failed.
2) Switch back to the old profile (possibly requiring a restart).

bsmedberg, is #2 still feasible at the point in nsAppRunner where I'm making this change? Can I just switch the directory service and the env. vars back to the values for the old profile and continue starting up?  Seems like it's too late so I considered calling nsAppStartup::Quit to cause a restart but I'm not sure if that will cause problems this early in startup?</Description></bugID>